Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions | Data Fields | Protected Member Functions | Protected Attributes
Lucene::PayloadNearSpanScorer Class Reference

`#include <PayloadNearQuery.h>`

Inheritance diagram for Lucene::PayloadNearSpanScorer:

## Public Member Functions

| PayloadNearSpanScorer (const SpansPtr &spans, const WeightPtr &weight, const SimilarityPtr &similarity, ByteArray norms)
virtual | ~PayloadNearSpanScorer ()
virtual String | getClassName ()
boost::shared_ptr< PayloadNearSpanScorer > | shared_from_this ()
void | getPayloads (Collection< SpansPtr > subSpans)
| Get the payloads associated with all underlying subspans. More...
virtual double | score ()
| Returns the score of the current document matching the query. Initially invalid, until {} or #advance(int32_t)} is called the first time, or when called from within Collector#collect}. More...
Public Member Functions inherited from Lucene::SpanScorer
| SpanScorer (const SpansPtr &spans, const WeightPtr &weight, const SimilarityPtr &similarity, ByteArray norms)
virtual | ~SpanScorer ()
boost::shared_ptr< SpanScorer > | shared_from_this ()
virtual int32_t | nextDoc ()
| Advances to the next document in the set and returns the doc it is currently on, or NO_MORE_DOCS if there are no more docs in the set. More...
virtual int32_t | advance (int32_t target)
| Advances to the first beyond the current whose document number is greater than or equal to target. Returns the current document number or NO_MORE_DOCS if there are no more docs in the set. More...
virtual int32_t | docID ()
| Returns the following: More...
virtual float | termFreq ()
Public Member Functions inherited from Lucene::Scorer
| Scorer (const SimilarityPtr &similarity)
| Constructs a Scorer. More...
| Scorer (const WeightPtr &weight)
virtual | ~Scorer ()
boost::shared_ptr< Scorer > | shared_from_this ()
SimilarityPtr | getSimilarity ()
| Returns the Similarity implementation used by this scorer. More...
virtual void | score (const CollectorPtr &collector)
| Scores and collects all matching documents. More...
void | visitSubScorers (QueryPtr parent, BooleanClause::Occur relationship, ScorerVisitor *visitor)
void | visitScorers (ScorerVisitor *visitor)
Public Member Functions inherited from Lucene::DocIdSetIterator
virtual | ~DocIdSetIterator ()
boost::shared_ptr< DocIdSetIterator > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::SpanScorer
static String | _getClassName ()
Static Public Member Functions inherited from Lucene::Scorer
static String | _getClassName ()
Static Public Member Functions inherited from Lucene::DocIdSetIterator
static String | _getClassName ()

## Data Fields

SpansPtr | spans
SimilarityPtr | similarity
Data Fields inherited from Lucene::Scorer
WeightPtr | weight

## Protected Member Functions

void | processPayloads (Collection< ByteArray > payLoads, int32_t start, int32_t end)
| By default, uses the PayloadFunction to score the payloads, but can be overridden to do other things. More...
virtual bool | setFreqCurrentDoc ()
virtual ExplanationPtr | explain (int32_t doc)
| This method is no longer an official member of Scorer, but it is needed by SpanWeight to build an explanation. More...
Protected Member Functions inherited from Lucene::Scorer
virtual bool | score (const CollectorPtr &collector, int32_t max, int32_t firstDocID)
| Collects matching documents in a range. Hook for optimization. Note, firstDocID is added to ensure that nextDoc() was called before this method. More...
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Protected Attributes

double | payloadScore
int32_t | payloadsSeen
Protected Attributes inherited from Lucene::SpanScorer
SpansPtr | spans
WeightPtr | weight
ByteArray | norms
double | value
bool | more
int32_t | doc
double | freq
Protected Attributes inherited from Lucene::Scorer
SimilarityPtr | similarity
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Static Public Attributes inherited from Lucene::DocIdSetIterator
static const int32_t | NO_MORE_DOCS
| When returned by nextDoc(), advance(int) and docID() it means there are no more docs in the iterator. More...

## Constructor & Destructor Documentation

## ◆ PayloadNearSpanScorer()

Lucene::PayloadNearSpanScorer::PayloadNearSpanScorer | ( | const SpansPtr & | spans,
|  | const WeightPtr & | weight,
|  | const SimilarityPtr & | similarity,
|  | ByteArray | norms
| ) |  |

## ◆ ~PayloadNearSpanScorer()

virtual Lucene::PayloadNearSpanScorer::~PayloadNearSpanScorer | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::PayloadNearSpanScorer::_getClassName | ( |  | ) |

inline static

## ◆ explain()

virtual ExplanationPtr Lucene::PayloadNearSpanScorer::explain | ( | int32_t | doc | ) |

protected virtual

This method is no longer an official member of Scorer, but it is needed by SpanWeight to build an explanation.

Reimplemented from Lucene::SpanScorer.

## ◆ getClassName()

virtual String Lucene::PayloadNearSpanScorer::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::SpanScorer.

## ◆ getPayloads()

void Lucene::PayloadNearSpanScorer::getPayloads | ( | Collection< SpansPtr > | subSpans | ) |

Get the payloads associated with all underlying subspans.

## ◆ processPayloads()

void Lucene::PayloadNearSpanScorer::processPayloads | ( | Collection< ByteArray > | payLoads,
|  | int32_t | start,
|  | int32_t | end
| ) |  |

protected

By default, uses the PayloadFunction to score the payloads, but can be overridden to do other things.

Parameters

  payLoads | The payloads
  start | The start position of the span being scored
  end | The end position of the span being scored

See also
  Spans

## ◆ score()

virtual double Lucene::PayloadNearSpanScorer::score | ( |  | ) |

virtual

Returns the score of the current document matching the query. Initially invalid, until {} or #advance(int32_t)} is called the first time, or when called from within Collector#collect}.

Reimplemented from Lucene::SpanScorer.

## ◆ setFreqCurrentDoc()

virtual bool Lucene::PayloadNearSpanScorer::setFreqCurrentDoc | ( |  | ) |

protected virtual

Reimplemented from Lucene::SpanScorer.

## ◆ shared_from_this()

boost::shared_ptr< PayloadNearSpanScorer > Lucene::PayloadNearSpanScorer::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ payloadScore

double Lucene::PayloadNearSpanScorer::payloadScore

protected

## ◆ payloadsSeen

int32_t Lucene::PayloadNearSpanScorer::payloadsSeen

protected

## ◆ similarity

SimilarityPtr Lucene::PayloadNearSpanScorer::similarity

## ◆ spans

SpansPtr Lucene::PayloadNearSpanScorer::spans

The documentation for this class was generated from the following file:

- PayloadNearQuery.h

clucene.sourceforge.net